GET

behavioureventrecordsraw API

Retrieve and manage behavioureventrecordsraw records from the Apps4Edu sync database.

Endpoint Path

GET /api/behavioureventrecordsraw

CURL Example

curl "https://api.apps4education.co.uk/api/behavioureventrecordsraw?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
    

Field Definitions

Field Type
eventRecordID int
eventID int
studentID int
subjectID int
witnessID int
ownerID int
eventDate datetime
adjustment int
comment text
internalComment text
processed tinyint
instant datetime
created_at timestamp
updated_at timestamp
school_id bigint

Response Body (Sample)

{
  "data": [
    {
      "eventRecordID": 101,
      "eventID": 101,
      "studentID": 101,
      "subjectID": 101,
      "witnessID": 101,
      "ownerID": 101,
      "eventDate": "example_value",
      "adjustment": "example_value",
      "comment": "example_value",
      "internalComment": "example_value",
      "processed": "example_value",
      "instant": "example_value",
      "created_at": "example_value",
      "updated_at": "example_value",
      "school_id": "example_value"
    }
  ]
}
                    

Query Parameters

api_token

Required. Your unique API key must be passed as a query string parameter.

school

Optional. A Bromcom school ID to restrict rows to one school.

page

Optional. Defaults to 1. Used to navigate through paginated results.

per_page

Optional. Rows per page, up to 500 (the default). Follow next_page_url for the rest.